> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user token realized pnl



## OpenAPI

````yaml get /user/{principal}/token/{token}/realized_pnl
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /user/{principal}/token/{token}/realized_pnl:
    get:
      tags:
        - Users
        - User PnL
      operationId: UserController_getUserRealizedPnl
      parameters:
        - name: principal
          required: true
          in: path
          schema:
            type: string
        - name: token
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: User Realized PnL
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/UserRealizedPnlEntity'
components:
  schemas:
    UserRealizedPnlEntity:
      type: object
      properties:
        realized_quantity:
          format: int64
          type: integer
        avg_price_delta:
          format: int64
          type: integer
        realized_pnl:
          format: int64
          type: integer
        display_realized_quantity:
          type: number
        display_avg_price_delta:
          type: number
        display_realized_pnl:
          type: number
        avg_sell_price:
          type: number
        avg_buy_price:
          type: number
      required:
        - realized_quantity
        - avg_price_delta
        - realized_pnl
        - display_realized_quantity
        - display_avg_price_delta
        - display_realized_pnl
        - avg_sell_price
        - avg_buy_price

````